# Interface MaterialJson

The material used to shade the geometry.

See https://developers.arcgis.com/web-scene-specification/objects/material/.

interface MaterialJson {
color?: ColorJson;
colorMixMode?: "replace" | "tint" | "multiply";
transparency?: number;
}

#####
Index

### Properties

color?
colorMixMode?
transparency?

##
Properties

### `Optional` color

color?: ColorJson

Color is represented as a three or four-element array.

### `Optional` colorMixMode

colorMixMode?: "replace" | "tint" | "multiply"

Controls how symbolLayer or visualVariable color is applied onto the underlying geometry color/texture. This property only applies to FillSymbol3DLayer within MeshSymbol3D.

- Tint: the feature's appearance (in terms of color) should be altered to match the symbol / visual variable color.
- Replace: the feature's color is replaced with the symbol / visual variable color.
- Multiply: the feature's color is multiplied with the symbol color.

### `Optional` transparency

transparency?: number

Number value ranging between 0 (no transparency) to 100 (completely transparent).